# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ ../../../lib/lxc-container.nix
    ../../../lib/shared.nix
    ../../../lib/admins.nix
  ];

  environment.systemPackages = with pkgs; [
    vim
  ];

  networking = {
    hostName = "logging";
  };

  services.openssh = {
    enable = true;
    permitRootLogin = "yes";
  };

  services.graylog = {
    enable = true;
    passwordSecret = "SDwK3ug9U4gYSVtj3h22i0l57QO6p5RE58sNehAgU3vXgqGa2HuNyhL19vhoUKFqy28rqGfDQkRD5834NqPi5wLsy8H1hz5V";
    # mongo.serv.zentralwerk. ?
    elasticsearchHosts = [ "http://172.20.73.10:9200" ];
    rootPasswordSha2 = "0319baba53abe8b33e1da12fd906c27cbe61fad6a129b9d5ecf196b6661e959d";
    # mongo.serv.zentralwerk. ?
    mongodbUri = "mongodb://172.20.73.12/graylog";
  };

  system.stateVersion = "19.03"; # Did you read the comment?

}
